List profile posts
List an account's posts newest first, plus its pinned post. Set include_replies to add the account's replies. Paginate with cursor and has_more. An unknown handle returns data: null or an empty page.
5 credits / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
handle*string
Account handle with or without @, or an x.com or twitter.com profile URL.
Length
length <= 300include_replies?string
Whether replies the account wrote are included in the timeline. Defaults to false.
Default
falsecursor?string
cursor from the previous response. Omit for the first page and send it unchanged for later pages.
Length
length <= 2000curl -X GET "https://example.com/v1/x/profile/posts?handle=NASA" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "pinned_post": null, "posts": [ { "id": "2110823965954637903", "url": "https://x.com/NASA/status/2110823965954637903", "text": "LIVE: Tune in as agency leaders and partners discuss NASA's contributions to @JAXA_en's Martian Moons eXploration (MMX) mission, scheduled to lift off on Monday, Oct. 19. https://t.co/TgO3c1FmNs https://t.co/RK9OwELDC2", "lang": "en", "source": "Twitter for iPhone", "created_at": "2026-10-15T20:03:45.000Z", "like_count": 798, "reply_count": 60, "repost_count": 117, "quote_count": 9, "view_count": 302209, "bookmark_count": 39, "is_reply": false, "in_reply_to_post_id": null, "in_reply_to_user_id": null, "in_reply_to_handle": null, "conversation_id": "2110823965954637903", "is_pinned": null, "author": { "id": "11348282", "handle": "NASA", "name": "NASA", "description": null, "location": "Pale Blue Dot", "website": null, "avatar_url": "https://pbs.twimg.com/profile_images/1321163587679784960/0ZxKlEKB_normal.jpg", "banner_url": "https://pbs.twimg.com/profile_banners/11348282/1788992290", "followers_count": 92324082, "following_count": 115, "posts_count": 74434, "media_count": 28199, "likes_count": 17030, "is_verified": false, "is_blue_verified": true, "verified_type": "Government", "protected": null, "created_at": "2007-12-19T20:20:32.000Z", "pinned_post_ids": [], "is_automated": false }, "media": [ { "id": "2110821837366046721", "type": "photo", "url": "https://pbs.twimg.com/media/HUslRwhXMAEmXG2.jpg", "alt_text": "The blue NASA \"meatball\" insignia overlaid on top of a Martian background.", "width": 1920, "height": 1080, "duration_ms": null, "variants": null } ], "hashtags": [], "mentions": [ { "id": "104989762", "handle": "JAXA_en", "name": "JAXA(Japan Aerospace Exploration Agency)" } ], "urls": [ { "url": "https://t.co/TgO3c1FmNs", "expanded_url": "https://youtu.be/3k2mpWrOD1s" } ], "card": null, "article": null, "place": null, "quoted_post": null, "reposted_post": null }, { "id": "2110815671512682509", "url": "https://x.com/NASA/status/2110815671512682509", "text": "LIVE: Members of Crew-12 are at @NASAJohnson to discuss their mission aboard the @Space_Station and answer questions from the media. The crew spent 237 days living and working in orbit and returned to Earth on Thursday, Oct. 8. https://t.co/2un3geixPZ", "lang": "en", "source": "Twitter for iPhone", "created_at": "2026-10-15T19:30:47.000Z", "like_count": 859, "reply_count": 74, "repost_count": 126, "quote_count": 11, "view_count": 377259, "bookmark_count": 38, "is_reply": false, "in_reply_to_post_id": null, "in_reply_to_user_id": null, "in_reply_to_handle": null, "conversation_id": "2110815671512682509", "is_pinned": null, "author": { "id": "11348282", "handle": "NASA", "name": "NASA", "description": null, "location": "Pale Blue Dot", "website": null, "avatar_url": "https://pbs.twimg.com/profile_images/1321163587679784960/0ZxKlEKB_normal.jpg", "banner_url": "https://pbs.twimg.com/profile_banners/11348282/1788992290", "followers_count": 92324082, "following_count": 115, "posts_count": 74434, "media_count": 28199, "likes_count": 17030, "is_verified": false, "is_blue_verified": true, "verified_type": "Government", "protected": null, "created_at": "2007-12-19T20:20:32.000Z", "pinned_post_ids": [], "is_automated": false }, "media": [], "hashtags": [], "mentions": [ { "id": "50115087", "handle": "NASAJohnson", "name": "NASA's Johnson Space Center" }, { "id": "1451773004", "handle": "Space_Station", "name": "International Space Station" } ], "urls": [ { "url": "https://t.co/2un3geixPZ", "expanded_url": "https://x.com/i/broadcasts/1qxvveyYAqWxB" } ], "card": { "name": "745291183405076480:broadcast", "url": "https://t.co/2un3geixPZ", "title": "NASA's SpaceX Crew-12 Postflight News Conference", "description": null, "image_url": "https://pbs.twimg.com/card_img/2110826113215651840/ls2n1I3Q?format=jpg&name=orig" }, "article": null, "place": null, "quoted_post": null, "reposted_post": null } ], "count": 2, "cursor": "DAADDAABCgABHUsnNqIbgE8KAAIdQ30vPFoAHwAIAAIAAAACCAADAAAAAAgABAAAAAAKAAUdS-Tv58AnEAoABh1L5O_nv9jwCwAH", "has_more": true }}